com.tibbo.aggregate.common.util

## Class Util

- java.lang.Object
- - com.tibbo.aggregate.common.util.Util

-     public class Util
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Boolean` | `convertToBoolean(java.lang.Object value, boolean validate, boolean allowNull)`
    `static java.util.Date` | `convertToDate(java.lang.Object value, boolean validate, boolean allowNull)`
    `static java.lang.Number` | `convertToNumber(java.lang.Object value, boolean validate, boolean allowNull)`
    `static java.lang.String` | `convertToString(java.lang.Object value, boolean validate, boolean allowNull)`
    `static java.lang.String` | `descriptionToName(java.lang.String value)`
    `static boolean` | `equals(java.lang.Object o1, java.lang.Object o2)`
    `static java.lang.Throwable` | `getCause(java.lang.Throwable th, java.lang.Class<java.lang.InterruptedException> throwableClass)`
    `static java.lang.String` | `getChosenValueRepresentation(java.util.Map<java.lang.Object,java.lang.String> sectionValues, java.lang.Object selectedValue)`
    `static java.util.List<java.awt.Image>` | `getIconImages(java.lang.String prefix, java.util.List<java.lang.Integer> sizes)`
    `static java.lang.Class` | `getListElementType(java.lang.reflect.Type listType)`
    `static java.lang.Class` | `getMapKeyType(java.lang.reflect.Type mapType)`
    `static java.lang.String` | `getObjectDescription(java.lang.Object o)`
    `static java.lang.Throwable` | `getRootCause(java.lang.Throwable th)`
    `static java.lang.String` | `getTrayIconId(java.lang.String prefix)`
    `static boolean` | `isFloatingPoint(java.lang.Number n)`
    `static void` | `logWithSourceCodeLine(org.apache.log4j.Logger logger, org.apache.log4j.Level level, java.lang.Object o)`
    `static java.lang.String` | `nameToDescription(java.lang.String name)`
    `static int` | `parseVersion(java.lang.String version)`
    `static byte[]` | `readStream(java.io.InputStream is)`
    `static <K,V extends java.lang.Comparable> java.util.Map<K,V>` | `sortByValue(java.util.Map<K,V> map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### equals

          public static boolean equals(java.lang.Object o1,
                                       java.lang.Object o2)

    - #### getCause

          public static java.lang.Throwable getCause(java.lang.Throwable th,
                                                     java.lang.Class<java.lang.InterruptedException> throwableClass)

    - #### getRootCause

          public static java.lang.Throwable getRootCause(java.lang.Throwable th)

    - #### readStream

          public static byte[] readStream(java.io.InputStream is)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### convertToString

          public static java.lang.String convertToString(java.lang.Object value,
                                                         boolean validate,
                                                         boolean allowNull)

    - #### convertToNumber

          public static java.lang.Number convertToNumber(java.lang.Object value,
                                                         boolean validate,
                                                         boolean allowNull)

    - #### convertToDate

          public static java.util.Date convertToDate(java.lang.Object value,
                                                     boolean validate,
                                                     boolean allowNull)

    - #### convertToBoolean

          public static java.lang.Boolean convertToBoolean(java.lang.Object value,
                                                           boolean validate,
                                                           boolean allowNull)

    - #### isFloatingPoint

          public static boolean isFloatingPoint(java.lang.Number n)

    - #### getObjectDescription

          public static java.lang.String getObjectDescription(java.lang.Object o)

    - #### getListElementType

          public static java.lang.Class getListElementType(java.lang.reflect.Type listType)

    - #### getMapKeyType

          public static java.lang.Class getMapKeyType(java.lang.reflect.Type mapType)

    - #### parseVersion

          public static int parseVersion(java.lang.String version)

    - #### nameToDescription

          public static java.lang.String nameToDescription(java.lang.String name)

    - #### descriptionToName

          public static java.lang.String descriptionToName(java.lang.String value)

    - #### getTrayIconId

          public static java.lang.String getTrayIconId(java.lang.String prefix)

    - #### getIconImages

          public static java.util.List<java.awt.Image> getIconImages(java.lang.String prefix,
                                                                     java.util.List<java.lang.Integer> sizes)

    - #### sortByValue

          public static <K,V extends java.lang.Comparable> java.util.Map<K,V> sortByValue(java.util.Map<K,V> map)

    - #### logWithSourceCodeLine

          public static void logWithSourceCodeLine(org.apache.log4j.Logger logger,
                                                   org.apache.log4j.Level level,
                                                   java.lang.Object o)

    - #### getChosenValueRepresentation

          public static java.lang.String getChosenValueRepresentation(java.util.Map<java.lang.Object,java.lang.String> sectionValues,
                                                                      java.lang.Object selectedValue)